Skip to main content
`Ctrl`+`K`

# SVDTRLanczosSetExplicitMatrix

Indicate if the stacked matrix \(Z=[A^*,B^*]^*\) must be built explicitly.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDTRLanczosSetExplicitMatrix(SVD svd,PetscBool explicitmat)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- explicitmat - Boolean flag indicating if \(Z\) is built explicitly

## Options Database Key

- -svd_trlanczos_explicitmatrix (true|false) - enable the explicit construction of the stacked matrix

## Note

This option is relevant for the GSVD case only. \(Z\) is the coefficient matrix of the `KSP` solver used internally.

## See Also

SVD: Singular Value Decomposition, `SVDTRLANCZOS`, `SVDTRLanczosGetExplicitMatrix()`

## Level

advanced

## Location

src/svd/impls/trlanczos/trlanczos.c

## Examples

src/svd/tutorials/ex51.c

## Implementations

SVDTRLanczosSetExplicitMatrix_TRLanczos() in src/svd/impls/trlanczos/trlanczos.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages